////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
// NEW DATA CLEANING - dataset not used previously
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////

// Load the dataset 
use "${Curran2010dir}\stan0039_output", replace
numlabel _all, add mask(#_)

// Benefit belief variable
unab knowledgevars: H1_I1-S4_D8 
foreach var in `knowledgevars'	{
	tab1 `var'
	/**/ }
tab1 statement
clonevar unemprate1 = H7_D1
recode unemprate1 (5=.d)(8=.n)

// Renaming the relevant variables
ren caseid		_uniqueid
ren weight		_weight
recode E3 (1=1)(2=0), gen(_male)
gen _age = 2007-E2

// Ending
keep unemprate _*
compress
aorder
save "${workingdir}\\${filename}_Curran2010", replace
/*
use "${workingdir}\\${filename}_Curran2010", replace
*/
